<?php
/*
	phpleftDms Copyright (c) 2011 phpleft.COM
	商业授权：QQ45150208
	
*/
require 'common.inc.php';
$nopostlist = sql_cache("table=plugins");
foreach($nopostlist as $i=>$k) {
	$nopost[$i] = $k[plugins];
 }
if (!in_array($plugins,$nopost)) exit(message_up('警告！非法行为已经登记你的IP!',''));
session_start();
if($post[is_or]=='0') $lang = '提交成功,正在审核!';else  $lang = '提交成功!';
$do = new post;
if(strpos('phpleft'.$url,PL_URL) > 0 and $phpleft_post==$_SESSION['phpleft_post'] and $_SESSION['phpleft_post']<>''){
$do->into($post,$plugins);
$phpleft_post = md5(uniqid(rand(), true));
$_SESSION['phpleft_post']= $phpleft_post;
echo message($lang,$url);
}else{
echo message('不容许外部提交或提交超时！',$url);	
}
?>